# vtpl-api
Engine APIs

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.4
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import vtpl_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import vtpl_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import vtpl_api
from vtpl_api.rest import ApiException
from pprint import pprint


# Defining host is optional and default to http://v2.videonetics.com:5000
configuration.host = "http://v2.videonetics.com:5000"
# Create an instance of the API class
api_instance = vtpl_api.EnginesApi(vtpl_api.ApiClient(configuration))
where = '{\"eventDetails.engineTaskId\":\"5c1956e925b6b30001103eaa\",\"eventDetails.sourceId\":\"5c1956e925b6b30001103eab\"}' # str | The where clause takes a JSON as a string with one or many properties of the anprEvent model. Example:   * To find anprEvents with engineTaskId equal 5c1956e925b6b30001103eaa, use /anprEvents?where={\"eventDetails.engineTaskId\":\"5c1956e925b6b30001103eaa\"}   * To find anprEvents with engineTaskId equal 5c1956e925b6b30001103eaa and sourceId equal 5c1956e925b6b30001103eab, use /anprEvents?where={\"eventDetails.engineTaskId\":\"5c1956e925b6b30001103eaa\",\"eventDetails.sourceId\":\"5c1956e925b6b30001103eab\"} (optional)
sort = 'sort=-eventDetails.startTimeStamp' # str | The sort query parameter sorts the result set in ascending and desending order by one of the property of the result set. Example:   * To sort anprEvents by startTimeStamp in eventDetails IN ASCEDING order, use /anprEvents?sort=eventDetails.startTimeStamp   * To sort anprEvents by startTimeStamp in eventDetails IN DECENDING order, use /anprEvents?sort=-eventDetails.startTimeStamp   * Please note the - (minus) sign in front of the eventDetails.startTimeStamp, that indicates inverse of ASCENDING (optional)
max_results = maxResults=5 # int | The maxResults query parameter limits results equal to # of maxResults. Example:   * To get latest anprEvent among whole anprEvents, use /anprEvents?maxResults=1   * To limit anprEvents to 5, use /anprEvents?maxResults=5 (optional)
embedded = '{\"eventSnaps\":1}' # str | The embedded clause takes a JSON as a string with eventSnaps argument. Example:   * 'To find anprEvents with eventSnap object. use /anprEvents?embedded={\"eventSnaps\":1}' (optional)

try:
    # Get all anprEvents
    api_response = api_instance.anpr_events_get(where=where, sort=sort, max_results=max_results, embedded=embedded)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling EnginesApi->anpr_events_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://v2.videonetics.com:5000*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*EnginesApi* | [**anpr_events_get**](docs/EnginesApi.md#anpr_events_get) | **GET** /anprEvents | Get all anprEvents
*EnginesApi* | [**anpr_events_id_get**](docs/EnginesApi.md#anpr_events_id_get) | **GET** /anprEvents/{id} | Get anprEvent by id
*EnginesApi* | [**anpr_events_post**](docs/EnginesApi.md#anpr_events_post) | **POST** /anprEvents | Create an anprEvent
*EnginesApi* | [**atccs_events_get**](docs/EnginesApi.md#atccs_events_get) | **GET** /atccsEvents | Get all Automatic Traffic Count Events
*EnginesApi* | [**atccs_events_id_get**](docs/EnginesApi.md#atccs_events_id_get) | **GET** /atccsEvents/{id} | Get Automatic Traffic Count Event by id
*EnginesApi* | [**atccs_events_post**](docs/EnginesApi.md#atccs_events_post) | **POST** /atccsEvents | Create an Automatic Traffic Count Event
*EnginesApi* | [**capabilities_get**](docs/EnginesApi.md#capabilities_get) | **GET** /capabilities | Get all capabilities of engines
*EnginesApi* | [**capabilities_post**](docs/EnginesApi.md#capabilities_post) | **POST** /capabilities | Create a capability
*EnginesApi* | [**central_face_database_get**](docs/EnginesApi.md#central_face_database_get) | **GET** /centralFaceDatabase | Get Central Face Database address
*EnginesApi* | [**central_face_database_id_delete**](docs/EnginesApi.md#central_face_database_id_delete) | **DELETE** /centralFaceDatabase/{id} | Delete central face database
*EnginesApi* | [**central_face_database_id_get**](docs/EnginesApi.md#central_face_database_id_get) | **GET** /centralFaceDatabase/{id} | Get central face database by id
*EnginesApi* | [**central_face_database_id_patch**](docs/EnginesApi.md#central_face_database_id_patch) | **PATCH** /centralFaceDatabase/{id} | Patch central face database
*EnginesApi* | [**central_face_database_post**](docs/EnginesApi.md#central_face_database_post) | **POST** /centralFaceDatabase | Create a centralFaceDatabase address
*EnginesApi* | [**clips_get**](docs/EnginesApi.md#clips_get) | **GET** /clips | Get all unprocesed clips
*EnginesApi* | [**clips_id_get**](docs/EnginesApi.md#clips_id_get) | **GET** /clips/{id} | Get clip by id
*EnginesApi* | [**clips_post**](docs/EnginesApi.md#clips_post) | **POST** /clips | Create an unprocesed clip
*EnginesApi* | [**crowd_abnormality_events_get**](docs/EnginesApi.md#crowd_abnormality_events_get) | **GET** /crowdAbnormalityEvents | Get all crowdAbnormalityEvents
*EnginesApi* | [**crowd_abnormality_events_id_get**](docs/EnginesApi.md#crowd_abnormality_events_id_get) | **GET** /crowdAbnormalityEvents/{id} | Get crowdAbnormalityEvent by id
*EnginesApi* | [**crowd_abnormality_events_post**](docs/EnginesApi.md#crowd_abnormality_events_post) | **POST** /crowdAbnormalityEvents | Create a crowdAbnormalityEvent
*EnginesApi* | [**crowd_dispersion_events_get**](docs/EnginesApi.md#crowd_dispersion_events_get) | **GET** /crowdDispersionEvents | Get all crowdDispersionEvents
*EnginesApi* | [**crowd_dispersion_events_id_get**](docs/EnginesApi.md#crowd_dispersion_events_id_get) | **GET** /crowdDispersionEvents/{id} | Get crowdDispersionEvent by id
*EnginesApi* | [**crowd_dispersion_events_post**](docs/EnginesApi.md#crowd_dispersion_events_post) | **POST** /crowdDispersionEvents | Create a crowdDispersionEvent
*EnginesApi* | [**crowd_formation_events_get**](docs/EnginesApi.md#crowd_formation_events_get) | **GET** /crowdFormationEvents | Get all crowdFormationEvents
*EnginesApi* | [**crowd_formation_events_id_get**](docs/EnginesApi.md#crowd_formation_events_id_get) | **GET** /crowdFormationEvents/{id} | Get crowdFormationEvent by id
*EnginesApi* | [**crowd_formation_events_post**](docs/EnginesApi.md#crowd_formation_events_post) | **POST** /crowdFormationEvents | Create a crowdFormationEvent
*EnginesApi* | [**driver_on_call_events_get**](docs/EnginesApi.md#driver_on_call_events_get) | **GET** /driverOnCallEvents | Get all driverOnCallEvents
*EnginesApi* | [**driver_on_call_events_id_get**](docs/EnginesApi.md#driver_on_call_events_id_get) | **GET** /driverOnCallEvents/{id} | Get driverOnCallEvent by id
*EnginesApi* | [**driver_on_call_events_post**](docs/EnginesApi.md#driver_on_call_events_post) | **POST** /driverOnCallEvents | Create a driverOnCallEvent
*EnginesApi* | [**engine_tasks_get**](docs/EnginesApi.md#engine_tasks_get) | **GET** /engineTasks | Get all engineTasks
*EnginesApi* | [**engine_tasks_id_delete**](docs/EnginesApi.md#engine_tasks_id_delete) | **DELETE** /engineTasks/{id} | Delete an engine task
*EnginesApi* | [**engine_tasks_id_get**](docs/EnginesApi.md#engine_tasks_id_get) | **GET** /engineTasks/{id} | Get engine task by id
*EnginesApi* | [**engine_tasks_id_patch**](docs/EnginesApi.md#engine_tasks_id_patch) | **PATCH** /engineTasks/{id} | Patch an engine task
*EnginesApi* | [**engine_tasks_post**](docs/EnginesApi.md#engine_tasks_post) | **POST** /engineTasks | Create an engineTask
*EnginesApi* | [**engines_get**](docs/EnginesApi.md#engines_get) | **GET** /engines | Get all engine details
*EnginesApi* | [**engines_id_delete**](docs/EnginesApi.md#engines_id_delete) | **DELETE** /engines/{id} | Delete an engine
*EnginesApi* | [**engines_id_get**](docs/EnginesApi.md#engines_id_get) | **GET** /engines/{id} | Get engine by id
*EnginesApi* | [**engines_post**](docs/EnginesApi.md#engines_post) | **POST** /engines | Create an engine
*EnginesApi* | [**event_snaps_get**](docs/EnginesApi.md#event_snaps_get) | **GET** /eventSnaps | Get all eventSnaps
*EnginesApi* | [**event_snaps_id_get**](docs/EnginesApi.md#event_snaps_id_get) | **GET** /eventSnaps/{id} | Get eventSnap by id
*EnginesApi* | [**event_snaps_post**](docs/EnginesApi.md#event_snaps_post) | **POST** /eventSnaps | Create an eventSnap
*EnginesApi* | [**face_events_get**](docs/EnginesApi.md#face_events_get) | **GET** /faceEvents | Get all faceEvents
*EnginesApi* | [**face_events_id_get**](docs/EnginesApi.md#face_events_id_get) | **GET** /faceEvents/{id} | Get faceEvent by id
*EnginesApi* | [**face_events_post**](docs/EnginesApi.md#face_events_post) | **POST** /faceEvents | Create a faceEvent
*EnginesApi* | [**face_snaps_get**](docs/EnginesApi.md#face_snaps_get) | **GET** /faceSnaps | Get all faceSnaps
*EnginesApi* | [**face_snaps_post**](docs/EnginesApi.md#face_snaps_post) | **POST** /faceSnaps | Create a faceSnap
*EnginesApi* | [**fancy_lp_events_get**](docs/EnginesApi.md#fancy_lp_events_get) | **GET** /fancyLPEvents | Get all Fancy License Plate Events
*EnginesApi* | [**fancy_lp_events_id_get**](docs/EnginesApi.md#fancy_lp_events_id_get) | **GET** /fancyLPEvents/{id} | Get Fancy License Plate Event by id
*EnginesApi* | [**fancy_lp_events_post**](docs/EnginesApi.md#fancy_lp_events_post) | **POST** /fancyLPEvents | Create a Fancy License Plate Event
*EnginesApi* | [**intrusion_detection_cloud_events_get**](docs/EnginesApi.md#intrusion_detection_cloud_events_get) | **GET** /intrusionDetectionCloudEvents | Get all intrusionDetectionCloudEvents
*EnginesApi* | [**intrusion_detection_cloud_events_id_get**](docs/EnginesApi.md#intrusion_detection_cloud_events_id_get) | **GET** /intrusionDetectionCloudEvents/{id} | Get intrusionDetectionCloudEvent by id
*EnginesApi* | [**intrusion_detection_cloud_events_post**](docs/EnginesApi.md#intrusion_detection_cloud_events_post) | **POST** /intrusionDetectionCloudEvents | Create a intrusionDetectionCloudEvent
*EnginesApi* | [**intrusion_detection_edge_events_get**](docs/EnginesApi.md#intrusion_detection_edge_events_get) | **GET** /intrusionDetectionEdgeEvents | Get all intrusionDetectionEdgeEvents
*EnginesApi* | [**intrusion_detection_edge_events_id_get**](docs/EnginesApi.md#intrusion_detection_edge_events_id_get) | **GET** /intrusionDetectionEdgeEvents/{id} | Get intrusionDetectionEdgeEvent by id
*EnginesApi* | [**intrusion_detection_edge_events_post**](docs/EnginesApi.md#intrusion_detection_edge_events_post) | **POST** /intrusionDetectionEdgeEvents | Create a intrusionDetectionEdgeEvent
*EnginesApi* | [**no_helmet_events_get**](docs/EnginesApi.md#no_helmet_events_get) | **GET** /noHelmetEvents | Get all No Helmet Events
*EnginesApi* | [**no_helmet_events_id_get**](docs/EnginesApi.md#no_helmet_events_id_get) | **GET** /noHelmetEvents/{id} | Get No Helmet Event by id
*EnginesApi* | [**no_helmet_events_post**](docs/EnginesApi.md#no_helmet_events_post) | **POST** /noHelmetEvents | Create an No Helmet Event
*EnginesApi* | [**no_lp_events_get**](docs/EnginesApi.md#no_lp_events_get) | **GET** /noLPEvents | Get all No License Plate Events
*EnginesApi* | [**no_lp_events_id_get**](docs/EnginesApi.md#no_lp_events_id_get) | **GET** /noLPEvents/{id} | Get No License Plate Event by id
*EnginesApi* | [**no_lp_events_post**](docs/EnginesApi.md#no_lp_events_post) | **POST** /noLPEvents | Create a No License Plate Event
*EnginesApi* | [**no_seat_belt_events_get**](docs/EnginesApi.md#no_seat_belt_events_get) | **GET** /noSeatBeltEvents | Get all noSeatBeltEvents
*EnginesApi* | [**no_seat_belt_events_id_get**](docs/EnginesApi.md#no_seat_belt_events_id_get) | **GET** /noSeatBeltEvents/{id} | Get noSeatBeltEvent by id
*EnginesApi* | [**no_seat_belt_events_post**](docs/EnginesApi.md#no_seat_belt_events_post) | **POST** /noSeatBeltEvents | Create a noSeatBeltEvent
*EnginesApi* | [**people_collapsing_events_get**](docs/EnginesApi.md#people_collapsing_events_get) | **GET** /peopleCollapsingEvents | Get all peopleCollapsingEvents
*EnginesApi* | [**people_collapsing_events_id_get**](docs/EnginesApi.md#people_collapsing_events_id_get) | **GET** /peopleCollapsingEvents/{id} | Get peopleCollapsingEvent by id
*EnginesApi* | [**people_collapsing_events_post**](docs/EnginesApi.md#people_collapsing_events_post) | **POST** /peopleCollapsingEvents | Create a peopleCollapsingEvent
*EnginesApi* | [**people_detail_events_get**](docs/EnginesApi.md#people_detail_events_get) | **GET** /peopleDetailEvents | Get all peopleDetailEvents
*EnginesApi* | [**people_detail_events_id_get**](docs/EnginesApi.md#people_detail_events_id_get) | **GET** /peopleDetailEvents/{id} | Get peopleDetailEvent by id
*EnginesApi* | [**people_detail_events_post**](docs/EnginesApi.md#people_detail_events_post) | **POST** /peopleDetailEvents | Create a peopleDetailEvent
*EnginesApi* | [**people_on_road_events_get**](docs/EnginesApi.md#people_on_road_events_get) | **GET** /peopleOnRoadEvents | Get all People On Road Events
*EnginesApi* | [**people_on_road_events_id_get**](docs/EnginesApi.md#people_on_road_events_id_get) | **GET** /peopleOnRoadEvents/{id} | Get People On Road Event by id
*EnginesApi* | [**people_on_road_events_post**](docs/EnginesApi.md#people_on_road_events_post) | **POST** /peopleOnRoadEvents | Create a People On Road Event
*EnginesApi* | [**registered_faces_get**](docs/EnginesApi.md#registered_faces_get) | **GET** /registeredFaces | Get Registered Faces
*EnginesApi* | [**registered_faces_id_delete**](docs/EnginesApi.md#registered_faces_id_delete) | **DELETE** /registeredFaces/{id} | Delete a Registered Face
*EnginesApi* | [**registered_faces_id_get**](docs/EnginesApi.md#registered_faces_id_get) | **GET** /registeredFaces/{id} | Get Registered Face
*EnginesApi* | [**registered_faces_id_patch**](docs/EnginesApi.md#registered_faces_id_patch) | **PATCH** /registeredFaces/{id} | Patch a Registered Face
*EnginesApi* | [**registered_faces_post**](docs/EnginesApi.md#registered_faces_post) | **POST** /registeredFaces | Create a Registered Face
*EnginesApi* | [**snaps_get**](docs/EnginesApi.md#snaps_get) | **GET** /snaps | Get all unprocesed snaps
*EnginesApi* | [**snaps_id_get**](docs/EnginesApi.md#snaps_id_get) | **GET** /snaps/{id} | Get snap by id
*EnginesApi* | [**snaps_post**](docs/EnginesApi.md#snaps_post) | **POST** /snaps | Create a unprocesed snap
*EnginesApi* | [**sub_systems_get**](docs/EnginesApi.md#sub_systems_get) | **GET** /subSystems | Get all Sub System details
*EnginesApi* | [**sub_systems_id_delete**](docs/EnginesApi.md#sub_systems_id_delete) | **DELETE** /subSystems/{id} | Delete a Sub System
*EnginesApi* | [**sub_systems_id_get**](docs/EnginesApi.md#sub_systems_id_get) | **GET** /subSystems/{id} | Get Sub System by id
*EnginesApi* | [**sub_systems_id_patch**](docs/EnginesApi.md#sub_systems_id_patch) | **PATCH** /subSystems/{id} | Patch a Sub System
*EnginesApi* | [**sub_systems_post**](docs/EnginesApi.md#sub_systems_post) | **POST** /subSystems | Create a Sub System
*EnginesApi* | [**vehicle_congestion_events_get**](docs/EnginesApi.md#vehicle_congestion_events_get) | **GET** /vehicleCongestionEvents | Get all Vehicle Congestion Events
*EnginesApi* | [**vehicle_congestion_events_id_get**](docs/EnginesApi.md#vehicle_congestion_events_id_get) | **GET** /vehicleCongestionEvents/{id} | Get Vehicle Congestion Event by id
*EnginesApi* | [**vehicle_congestion_events_post**](docs/EnginesApi.md#vehicle_congestion_events_post) | **POST** /vehicleCongestionEvents | Create a Vehicle Congestion Event


## Documentation For Models

 - [AnprEvent](docs/AnprEvent.md)
 - [AnprEventsResponse](docs/AnprEventsResponse.md)
 - [AtccsEvent](docs/AtccsEvent.md)
 - [AtccsEventsResponse](docs/AtccsEventsResponse.md)
 - [Attire](docs/Attire.md)
 - [CapabilitiesResponse](docs/CapabilitiesResponse.md)
 - [Capability](docs/Capability.md)
 - [CapabilityType](docs/CapabilityType.md)
 - [CentralFaceDatabase](docs/CentralFaceDatabase.md)
 - [CentralFaceDatabaseResponse](docs/CentralFaceDatabaseResponse.md)
 - [Clip](docs/Clip.md)
 - [ClipsResponse](docs/ClipsResponse.md)
 - [Color](docs/Color.md)
 - [Command](docs/Command.md)
 - [Commands](docs/Commands.md)
 - [Config](docs/Config.md)
 - [CrowdAbnormalityEvent](docs/CrowdAbnormalityEvent.md)
 - [CrowdAbnormalityEventsResponse](docs/CrowdAbnormalityEventsResponse.md)
 - [CrowdDispersionEvent](docs/CrowdDispersionEvent.md)
 - [CrowdDispersionEventsResponse](docs/CrowdDispersionEventsResponse.md)
 - [CrowdFormationEvent](docs/CrowdFormationEvent.md)
 - [CrowdFormationEventsResponse](docs/CrowdFormationEventsResponse.md)
 - [DefaultResponse](docs/DefaultResponse.md)
 - [DestinationEndPoint](docs/DestinationEndPoint.md)
 - [DestinationEndPointDestinationList](docs/DestinationEndPointDestinationList.md)
 - [DestinationType](docs/DestinationType.md)
 - [DestinationTypeWithCaption](docs/DestinationTypeWithCaption.md)
 - [DriverOnCallEvent](docs/DriverOnCallEvent.md)
 - [DriverOnCallEventsResponse](docs/DriverOnCallEventsResponse.md)
 - [Engine](docs/Engine.md)
 - [EngineStatusCommand](docs/EngineStatusCommand.md)
 - [EngineTask](docs/EngineTask.md)
 - [EngineTaskLineSetting](docs/EngineTaskLineSetting.md)
 - [EngineTaskZoneSetting](docs/EngineTaskZoneSetting.md)
 - [EngineTasksResponse](docs/EngineTasksResponse.md)
 - [EnginesResponse](docs/EnginesResponse.md)
 - [Event](docs/Event.md)
 - [EventDetails](docs/EventDetails.md)
 - [EventSnapsResponse](docs/EventSnapsResponse.md)
 - [EventType](docs/EventType.md)
 - [EvidenceConfig](docs/EvidenceConfig.md)
 - [Extra](docs/Extra.md)
 - [FaceCategory](docs/FaceCategory.md)
 - [FaceEvent](docs/FaceEvent.md)
 - [FaceEventWithEventSnaps](docs/FaceEventWithEventSnaps.md)
 - [FaceEventWithRegisteredFaceSnaps](docs/FaceEventWithRegisteredFaceSnaps.md)
 - [FaceEventsResponse](docs/FaceEventsResponse.md)
 - [FaceEventsWithEventSnapsResponse](docs/FaceEventsWithEventSnapsResponse.md)
 - [FaceFeatureRequestCommand](docs/FaceFeatureRequestCommand.md)
 - [FaceFeatureResponseCommand](docs/FaceFeatureResponseCommand.md)
 - [FaceSnap](docs/FaceSnap.md)
 - [FaceSnapWithRegisteredFaceSnaps](docs/FaceSnapWithRegisteredFaceSnaps.md)
 - [FaceSnapsResponse](docs/FaceSnapsResponse.md)
 - [FancyLPEvent](docs/FancyLPEvent.md)
 - [FancyLPEventsResponse](docs/FancyLPEventsResponse.md)
 - [Gender](docs/Gender.md)
 - [IntrusionDetectionCloudEvent](docs/IntrusionDetectionCloudEvent.md)
 - [IntrusionDetectionCloudEventsResponse](docs/IntrusionDetectionCloudEventsResponse.md)
 - [IntrusionDetectionEdgeEvent](docs/IntrusionDetectionEdgeEvent.md)
 - [IntrusionDetectionEdgeEventsResponse](docs/IntrusionDetectionEdgeEventsResponse.md)
 - [Line](docs/Line.md)
 - [LineType](docs/LineType.md)
 - [Links](docs/Links.md)
 - [LinksSelf](docs/LinksSelf.md)
 - [LinksSelfSelf](docs/LinksSelfSelf.md)
 - [Meta](docs/Meta.md)
 - [MetaAnprEvent](docs/MetaAnprEvent.md)
 - [MetaAtccsEvent](docs/MetaAtccsEvent.md)
 - [MetaCrowdFormationEvent](docs/MetaCrowdFormationEvent.md)
 - [MetaDriverOnCallEvent](docs/MetaDriverOnCallEvent.md)
 - [MetaFaceEvent](docs/MetaFaceEvent.md)
 - [MetaFancyLPEvent](docs/MetaFancyLPEvent.md)
 - [MetaNoHelmetEvent](docs/MetaNoHelmetEvent.md)
 - [MetaNoLPEvent](docs/MetaNoLPEvent.md)
 - [MetaNoSeatBeltEvent](docs/MetaNoSeatBeltEvent.md)
 - [MetaPeopleDetailEvent](docs/MetaPeopleDetailEvent.md)
 - [MetaPeopleOnRoadEvent](docs/MetaPeopleOnRoadEvent.md)
 - [MetaVehicleCongestionEvent](docs/MetaVehicleCongestionEvent.md)
 - [NoHelmetEvent](docs/NoHelmetEvent.md)
 - [NoHelmetEventsResponse](docs/NoHelmetEventsResponse.md)
 - [NoLPEvent](docs/NoLPEvent.md)
 - [NoLPEventsResponse](docs/NoLPEventsResponse.md)
 - [NoSeatBeltEvent](docs/NoSeatBeltEvent.md)
 - [NoSeatBeltEventsResponse](docs/NoSeatBeltEventsResponse.md)
 - [PeopleCollapsingEvent](docs/PeopleCollapsingEvent.md)
 - [PeopleCollapsingEventsResponse](docs/PeopleCollapsingEventsResponse.md)
 - [PeopleDetailEvent](docs/PeopleDetailEvent.md)
 - [PeopleDetailEventWithSnaps](docs/PeopleDetailEventWithSnaps.md)
 - [PeopleDetailEventWithSnapsResponse](docs/PeopleDetailEventWithSnapsResponse.md)
 - [PeopleDetailEventsResponse](docs/PeopleDetailEventsResponse.md)
 - [PeopleOnRoadEvent](docs/PeopleOnRoadEvent.md)
 - [PeopleOnRoadEventsResponse](docs/PeopleOnRoadEventsResponse.md)
 - [RegisteredFace](docs/RegisteredFace.md)
 - [RegisteredFaceWithFaceSnaps](docs/RegisteredFaceWithFaceSnaps.md)
 - [RegisteredFaceWithSnapsResponse](docs/RegisteredFaceWithSnapsResponse.md)
 - [RegisteredFacesResponse](docs/RegisteredFacesResponse.md)
 - [ScheduleSource](docs/ScheduleSource.md)
 - [Snap](docs/Snap.md)
 - [SnapUploadModel](docs/SnapUploadModel.md)
 - [SnapsResponse](docs/SnapsResponse.md)
 - [SourceEndPoint](docs/SourceEndPoint.md)
 - [SourceEndPointSourceList](docs/SourceEndPointSourceList.md)
 - [SourceType](docs/SourceType.md)
 - [SourceTypeWithCaption](docs/SourceTypeWithCaption.md)
 - [SubSystem](docs/SubSystem.md)
 - [SubSystemStatusCommand](docs/SubSystemStatusCommand.md)
 - [SubSystemsResponse](docs/SubSystemsResponse.md)
 - [UploadSnap](docs/UploadSnap.md)
 - [VehicleClass](docs/VehicleClass.md)
 - [VehicleCongestionEvent](docs/VehicleCongestionEvent.md)
 - [VehicleCongestionEventsResponse](docs/VehicleCongestionEventsResponse.md)
 - [Vertex](docs/Vertex.md)
 - [Zone](docs/Zone.md)
 - [ZoneType](docs/ZoneType.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




